import { IConstruct } from '@aws-cdk/core';
import { NagPack } from '../common';
/**
 * Check for NIST 800-53 compliance.
 *
 * Based on the NIST 800-53 AWS operational best practices: https://docs.aws.amazon.com/config/latest/developerguide/operational-best-practices-for-nist-800-53_rev_4.html
 *
 * @stability stable
 */
export declare class NIST80053Checks extends NagPack {
    /**
     * All aspects can visit an IConstruct.
     *
     * @stability stable
     */
    visit(node: IConstruct): void;
    /**
     * Check Compute Services
     * @param node the IConstruct to evaluate
     * @param ignores list of ignores for the resource
     */
    private checkCompute;
}
